/* Scarab - provides SLIP over a half-duplex link such as infrared or radio.
 *
 * debug.h
 * Trace I/O operations.
 *
 * (c) Copyright 1996 Alan Cox, Robin O'Leary <robin@acm.org>.
 * All Rights Reserved.
 *
 * This program is distributed without any warranty; without even the
 * implied warranty of MERCHANTABILITY or fitness for a particular purpose.
 * See the file LICENSE for details.
 */

#include <sys/types.h>	/* size_t */

#define DEBUG_TERM	0x1000
#define DEBUG_READ	0x0400
#define DEBUG_WRITE	0x0200
#define DEBUG_BYTE	0x0100
#define DEBUG_SLIP 	0x0040
#define DEBUG_KERNEL	0x0020
#define DEBUG_SCARAB	0x0010
#define DEBUG_STATE	0x0002
#define DEBUG_LIGHTS	0x0001

extern void debug_packet(const byte data[], int count);
extern int debug_write(int fd, const char *buf, size_t count);
extern int debug_read(int fd, char *buf, size_t count);
