/* Scarab - provides SLIP over a half-duplex link such as infrared or radio.
 *
 * kernel.h
 * Allocates a pty pair, connects one side to the kernel's SLIP
 * interface and returns the other side to the caller.
 *
 * (c) Copyright 1996 Alan Cox, Robin O'Leary <robin@acm.org>.
 * All Rights Reserved.
 *
 * This program is distributed without any warranty; without even the
 * implied warranty of MERCHANTABILITY or fitness for a particular purpose.
 * See the file LICENSE for details.
 */

extern int kernel_start_slip(const char *local_ip, const char *remote_ip,
	int mtu, char **slip_if_name);

extern void kernel_recv_slip_frame(byte *buf[], int *len);
extern void kernel_send_slip_frame(byte buf[], int len);
