/* Scarab - provides SLIP over a half-duplex link such as infrared or radio.
 *
 * main.h
 * Converts command line options in to settings held in global variables; 
 * main loop receieving and sending packets in both directions.
 *
 * (c) Copyright 1996 Alan Cox, Robin O'Leary <robin@acm.org>.
 * All Rights Reserved.
 *
 * This program is distributed without any warranty; without even the
 * implied warranty of MERCHANTABILITY or fitness for a particular purpose.
 * See the file LICENSE for details.
 */

typedef unsigned char byte;
struct slip_state;	/* full definition only needed in slip.c */
 
extern const char *program_name;
extern int debug;

extern int scarab_has_dcd;
extern int scarab_has_rts;
extern int scarab_is_airport;
extern int scarab_rts_start;
extern int scarab_rts_stop;
extern int scarab_baud;
extern int scarab_train_len;
extern int scarab_train_byte;
extern const char *scarab_port;
extern int scarab_needs_node_id;
extern byte scarab_node_id;
extern int scarab_is_transmitting; /* flag set by scarab.c */
