/* Scarab - provides SLIP over a half-duplex link such as infrared or radio.
 *
 * scarab.h
 * Handles packets going to and coming from the half-duplex device.
 * Does training, timimg and switching of device, and framing of packet.
 *
 * (c) Copyright 1996 Alan Cox, Robin O'Leary <robin@acm.org>.
 * All Rights Reserved.
 *
 * This program is distributed without any warranty; without even the
 * implied warranty of MERCHANTABILITY or fitness for a particular purpose.
 * See the file LICENSE for details.
 */

extern int scarab_open(const char *filename, int baud);
extern void scarab_recv_slip_frame(byte *buf[], int *len);
extern void scarab_send_slip_frame(byte buf[], int len);
extern void scarab_stop_transmitting(void);
extern int buffered_write(int fd, const char *data, int len);
