/* Scarab - provides SLIP over a half-duplex link such as infrared or radio.
 *
 * slip.h
 * Basic SLIP state machine.
 *
 * (c) Copyright 1996 Alan Cox, Robin O'Leary <robin@acm.org>.
 * All Rights Reserved.
 *
 * This program is distributed without any warranty; without even the
 * implied warranty of MERCHANTABILITY or fitness for a particular purpose.
 * See the file LICENSE for details.
 */

extern void slip_stream(struct slip_state *sl);

extern struct slip_state *slip_make_state( byte *buffer, int buflen,
	int rx_fd, void (*rx_frame)(byte *buf[], int *len) );

extern void slip_write_frame(int fd);
extern const byte *slip_frame_marker(void);
